package com.caimei.module.base.entity.po;

import java.io.Serializable;
import java.math.BigDecimal;

import lombok.Data;

/**
 * cm_receipt_order_relation
 *
 * @author
 */
@Data
public class CmReceiptOrderRelation implements Serializable {
    private Long id;

    /**
     * 关系类型：1返佣订单（返佣款）、2非返佣订单（订单款或者非订单款）
     */
    private String relationType;

    /**
     * 识别款项Id（对应cm_discern_receipt表）
     */
    private Integer receiptID;

    /**
     * 关联金额：1普通收款(线下):收款具体对该应母订单的收金额、2线上支付:付款金额就等于该金额、3返佣收款：默认为0
     */
    private BigDecimal associateAmount;

    /**
     * 订单Id（relationType值为1是为子订单ID,为2时为主订单ID）
     */
    private Integer orderID;

    /**
     * 删除标记 0 否，其余是
     */
    private String delFlag;

    private static final long serialVersionUID = 1L;
}