package com.caimei.module.product.service;

import com.caimei.module.base.entity.bo.PageVo;
import com.caimei.module.base.entity.vo.BigtypeVo;
import com.caimei.module.base.entity.vo.LadderPriceVo;
import com.caimei.module.base.entity.vo.ProductVo;
import com.caimei.module.base.entity.vo.SearchHistoryVo;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/3/25
 */
public interface ProductModuleService {
    /**
     * 商品分类
     */
    List<BigtypeVo> getClassify(String domain);

    /**
     * 根据三级分类获取商品
     */
    PageVo<ProductVo> getProductsByTinyType(Integer tinyTypeID, Integer sortType, Integer pageNum, Integer pageSize);

    /**
     * 根据关键词获取商品
     */
    PageVo<ProductVo> searchProduct(String searchWord, Integer userId, Integer pageNum, Integer pageSize);

    /**
     * 商品搜索历史记录
     */
    List<SearchHistoryVo> getSearchHistory(Integer userId);

    /**
     * 根据用户ID删除历史记录
     */
    void deleteAllSearchHistory(Integer userId);

    /**
     * 商品详情页
     */
    ProductVo getProductDetails(Integer productID, String domain);

    /**
     * 设置商品展示价格
     */
    ProductVo getShowPrice(ProductVo product, Integer userId);

    /**
     * 获取阶梯价格
     */
    List<LadderPriceVo> findLadderPrice(Integer productID);

    /**
     * 获取一条最低阶梯价格
     */
    LadderPriceVo findLowerLadderPrice(Integer productID);

    /**
     * 获取模块商品列表
     *
     * @param preferredFlag 新品上线(001) 优惠商品(010) 常用商品(100)，三者同时存在111
     */
    PageVo<ProductVo> getPreferred(Integer preferredFlag, Integer userId, Integer pageNum, Integer pageSize);

    /**
     * 相关推荐-根据id
     */
    List<ProductVo> getRecommended(Integer productID);
}
